IPHlpAPI.MIB_UDPSTATS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: IPHlpAPI, class: MIB_UDPSTATS

Package com.sun.jna.platform.win32

# Class IPHlpAPI.MIB_UDPSTATS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.IPHlpAPI.MIB_UDPSTATS

Enclosing interface:
  IPHlpAPI

@FieldOrder({"dwInDatagrams","dwNoPorts","dwInErrors","dwOutDatagrams","dwNumAddrs"}) public static class IPHlpAPI.MIB_UDPSTATS extends Structure
The MIB_UDPSTATS structure contains statistics for the User Datagram Protocol (UDP) running on the local computer.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwInDatagrams`
  `int`
  `dwInErrors`
  `int`
  `dwNoPorts`
  `int`
  `dwNumAddrs`
  `int`
  `dwOutDatagrams`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MIB_UDPSTATS()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwInDatagrams

    public int dwInDatagrams

  - ### dwNoPorts

    public int dwNoPorts

  - ### dwInErrors

    public int dwInErrors

  - ### dwOutDatagrams

    public int dwOutDatagrams

  - ### dwNumAddrs

    public int dwNumAddrs

- ## Constructor Details

  - ### MIB_UDPSTATS

    public MIB_UDPSTATS()